> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spherepay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Registrar Aceite dos Termos de Serviço do Cliente

> Create a TOS link for a customer.

Gere um link hospedado de aceite dos Termos de Serviço para um cliente. Este endpoint é necessário apenas no modelo de onboarding **Sphere-Managed** — no modelo Platform-Managed, o aceite dos Termos de Serviço é tratado pela sua própria plataforma antes que o cliente seja passado ao SpherePay. Redirecione o cliente para o `link` retornado para que ele possa revisar e aceitar os Termos de Serviço do SpherePay. O link expira no momento indicado por `expiresAt`.

<Info>
  O aceite dos Termos de Serviço é uma etapa obrigatória no fluxo KYC gerenciado pelo Sphere. O cliente não pode ser aprovado para transferências até que tenha aceitado os Termos de Serviço. Se você estiver usando o modelo Platform-Managed, ignore este endpoint.
</Info>


## OpenAPI

````yaml openapi/spherepay.yaml POST /v2/customer/{id}/tos-link
openapi: 3.0.0
info:
  title: ''
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.spherepay.co
    description: Production
security:
  - bearer: []
tags: []
paths:
  /v2/customer/{id}/tos-link:
    post:
      summary: Create TOS Link
      description: Create a TOS link for a customer.
      parameters:
        - name: id
          required: true
          in: path
          description: Customer ID
          schema:
            example: customer_f31121c389624d3697cbf3ea8830b7a4
            type: string
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateTosLinkResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetailsDto'
              examples:
                Bad Request:
                  summary: Bad Request
                  value:
                    status: 400
                    detail: Invalid request parameters
                    code: address/invalid
                    correlationId: 28c61e885c6e5eaa78c1a2183a9b883c
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetailsDto'
              examples:
                Not Found:
                  summary: Not Found
                  value:
                    status: 404
                    detail: Resource not found
                    code: resource/not-found
                    correlationId: 28c61e885c6e5eaa78c1a2183a9b883c
        '422':
          description: Unprocessable Entity - Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetailsDto'
              examples:
                Validation Error:
                  summary: Validation Error
                  value:
                    status: 422
                    detail: Validation failed
                    code: validation/failed
                    correlationId: 28c61e885c6e5eaa78c1a2183a9b883c
                    errors:
                      - detail: Invalid email format
                        pointer: /email
                      - detail: Name is required
                        pointer: /name
components:
  schemas:
    GenerateTosLinkResponseDto:
      type: object
      properties:
        link:
          description: Terms of Service link URL
          example: >-
            https://spherepay.co/tos?token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJjdXN0b21lcl9lMDE2MzNjNWY1OTY0MThiOGU5ZTQzNDEyMzQ2OTk0YyIsImFwcGxpY2F0aW9uSWQiOiJhcHBsaWNhdGlvbl84NWM5ZmE2ZTFjMjk0YzJmOTA2NDcwNWFlYTE3Y2ZkMyIsImN1c3RvbWVyVHlwZSI6ImluZGl2aWR1YWwiLCJtc2FTdGF0dXMiOiJpbmNvbXBsZXRlIiwibXNhUmVxdWlyZWQiOmZhbHNlLCJpYXQiOjE3NjQwMzQwMDUsImV4cCI6MTc2NjQ1MzIwNX0.6z3976YqDxDr5LkMJxoZhw526cu1PGE3nFZtAE8vIfY
          type: string
        expiresAt:
          description: ISO 8601 formatted date and time of the TOS link expiration
          example: '2026-03-09T20:46:31.305Z'
          type: string
      required:
        - link
        - expiresAt
    ProblemDetailsDto:
      type: object
      properties:
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        code:
          type: string
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              pointer:
                type: string
              parameter:
                type: string
              header:
                type: string
            required:
              - detail
        correlationId:
          type: string
      required:
        - status
        - detail
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````